Skip to main content
GET
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
accessSettings
Get project template access and security settings
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/accessSettings \
  --header 'Authorization: <api-key>'
{
  "allowLoadingExternalContentInEditors": true,
  "allowLoadingIframes": true,
  "allowedDomains": [
    "<string>"
  ],
  "downloadEnabled": true,
  "emailNotifications": true,
  "linguistsMayDownloadLqaReport": true,
  "linguistsMayEditLockedSegments": true,
  "linguistsMayEditSource": true,
  "linguistsMayEditTagContent": true,
  "notifyJobOwnerStatusChanged": true,
  "notifyJobOwnerStatusChangedTemplateUid": "<string>",
  "notifyReference": true,
  "notifyReferenceGroups": "<string>",
  "notifyReferenceTemplateUid": "<string>",
  "notifyUserMentionOrComment": true,
  "notifyUserMentionOrCommentTemplateUid": "<string>",
  "showUserDataToLinguists": true,
  "strictWorkflowFinish": true,
  "triggerWebhooks": true,
  "useVendors": true,
  "userMaySetInstantQA": true,
  "usernamesDisplayedInLqaReport": true,
  "usersMaySetAutoPropagation": true,
  "vendors": {
    "canChangeSharedJobDueDate": [
      {
        "uid": "<string>"
      }
    ],
    "canChangeSharedJobDueDateEnabled": true,
    "jobVendorsMayUploadReferences": true
  },
  "webEditorEnabledForLinguists": true
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectTemplateUid
string
required

Response

successful operation

allowLoadingExternalContentInEditors
boolean

When true, the editor may load external content such as images

allowLoadingIframes
boolean

When true, the editor may load iframes

allowedDomains
string[]

List of domains that are allowed to load iframes in the editor

downloadEnabled
boolean

When true, linguists may download the project TMX

emailNotifications
boolean

When true, email notifications are enabled for the project

linguistsMayDownloadLqaReport
boolean

When true, linguists may download the LQA report

linguistsMayEditLockedSegments
boolean

When true, linguists may edit segments that are locked

linguistsMayEditSource
boolean

When true, linguists may edit source segments

linguistsMayEditTagContent
boolean

When true, linguists may edit tag content in segments

notifyJobOwnerStatusChanged
boolean

When true, the job owner is notified when the job status changes

notifyJobOwnerStatusChangedTemplateUid
string

UID of the email template used for job-status-changed notifications to the job owner

notifyReference
boolean

When true, notifications are sent for reference file events

notifyReferenceGroups
string

Comma-separated list of user groups that receive reference notifications

notifyReferenceTemplateUid
string

UID of the email template used for reference notifications

notifyUserMentionOrComment
boolean

When true, users are notified when they are mentioned or receive a comment

notifyUserMentionOrCommentTemplateUid
string

UID of the email template used for mention and comment notifications

showUserDataToLinguists
boolean

When true, linguists can see job owner and other user data

strictWorkflowFinish
boolean

When true, linguists must complete all workflow steps in order

triggerWebhooks
boolean

When true, webhooks are triggered for project events

useVendors
boolean

When true, vendor organizations may be assigned to the project

userMaySetInstantQA
boolean

When true, users may enable instant QA on their jobs

usernamesDisplayedInLqaReport
boolean

When true, user names are visible in the LQA report

usersMaySetAutoPropagation
boolean

When true, linguists may toggle auto-propagation of translations

vendors
object
webEditorEnabledForLinguists
boolean

When true, the web editor is available to linguists